# 创建一个自定义能力

## 示例配置

示例配置如下：

```yaml
# 能力的ID就是 .yml 文件的名称
# 例如 gold_touch.yml 的能力ID就是 gold_touch
# 你可以将能力的配置文件放置到 effects 文件夹下的任意位置
# 包括放置到子文件夹里面
# _example.yml 文件不会加载

name: "寻宝计划" # 展示给玩家的能力名称
placeholder: "%level% / 50" # 能力描述中使用的变量符
placeholders:
  damage: "%level% / 10" # 也支持以这种格式增加多种变量符，在描述中通过 %key% 格式使用它们，例如这里就是 %damage%
  radius: "1.5 + (%level% / 100)"
  angle: "60 + (%level% / 60)"
description: "&a%placeholder%%&8 几率在挖掘方块时获得 50 金币" # 能力描述

# 能力的效果
# 使用 %level% 来表示能力等级的变量符
effects:
  - id: give_money
    args:
      chance: "%level% / 50"
      amount: 50
    triggers:
      - mine_block

# 能力效果能够激活的条件
# 你仍可以使用 %level% 变量符
conditions: [ ]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/auxilor-plugins/ecoskills/chuang-jian-yi-ge-zi-ding-yi-neng-li.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
